commit:     2e1a67730a9f722ea339076fe9749e7ce20b56ba
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  2 03:40:07 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar  2 03:55:21 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e1a6773

dev-python/openapi-spec-validator: Bump to 0.8.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi-spec-validator/Manifest         |  2 +
 .../openapi-spec-validator-0.8.4.ebuild            | 57 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/openapi-spec-validator/Manifest 
b/dev-python/openapi-spec-validator/Manifest
index 6ef0d14dbf0c..607caf5ff1c5 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -5,3 +5,5 @@ DIST openapi_spec_validator-0.8.2.tar.gz 1752944 BLAKE2B 
ce5ba3d73ec7d7522d53b41
 DIST openapi_spec_validator-0.8.2.tar.gz.provenance 10005 BLAKE2B 
a9318bb3d775d4d23f54a817d7785ef3cca721e9bf403d7390d71d2ecbd9766e92b5d6a371831a361c6746d874dabec9dd0da1fa1d67887ae9967f6bafce8f3b
 SHA512 
024e0e44e15713b724585334b3ac6ea343a786ad8591b891260729d5f7032ce76ade2df543cada49cad31125c4b3a4abe5852b7b95dfe289fcd6ac9edb170de8
 DIST openapi_spec_validator-0.8.3.tar.gz 1754331 BLAKE2B 
2fae0d39aa744faea513a9bf7e434a6edf59217a49e7cb94957908f451473f7ef0607c82faf1f9ffca84e77adcac0d93a16eb4c8dfc7dd52dec38c520dd73de5
 SHA512 
1375e20f239199c44a1011de1a6c93fb53a14ad7e1bc61c95ee3caec44f372a7c00d3d35f99e1f03120b83b87db974f7f2e796ab6571fe121608de8e41102719
 DIST openapi_spec_validator-0.8.3.tar.gz.provenance 9770 BLAKE2B 
1ae3387595832757daa7beaaeaf5f2811544256547dfe6b7bf23e9b5e0f0913dce15dfaf6dcff10564b61b236a30ebfaae9da23acc4f9eccdae6ee22824c97a7
 SHA512 
9042fe7d1fbc6d584dd5ba86a112b02d444a686f4cf72c147d07574174ec99528af372ac38fc8e5d5dc2b1a64041ef6c87186b819f62e87065871ab96e9cb1a7
+DIST openapi_spec_validator-0.8.4.tar.gz 1756847 BLAKE2B 
2f9684ecbbefce4dcabb547959d3c796d6280f8a470d0e33e4e1db75844969e6ac2e92f3ee23c33f1ff4b2520eeb3ed05d4186cd1049398c5950d5a2718bb546
 SHA512 
53582f62ac4438c754422f27b68aa83513d0ee845ed40451b293dcfbddc4267c9e2c0554af04e64a9046cf38072e7c2e7798639fb630f33ff153ce12e339755b
+DIST openapi_spec_validator-0.8.4.tar.gz.provenance 10068 BLAKE2B 
64981dfc9c5ca841cd1f625de30eac52f39ec3e32015cbb74e6607a6f7e3384e217dc30a76c6c36316f07b9911c62342091d98ee706334bc6c45e6349708bdfc
 SHA512 
93aad020d63176749dd2455356deeea6524f98ae2a27186e3445f4121f139d0817caf8d6cab9862a00fcc7b1137181cdc40c31c10f887edc8f41f7393f536e06

diff --git 
a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.4.ebuild 
b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.4.ebuild
new file mode 100644
index 000000000000..ada36c13c47f
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+       https://github.com/python-openapi/openapi-spec-validator/
+       https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+       >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-path-0.4.3[${PYTHON_USEDEP}]
+       >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+       >=dev-python/openapi-schema-validator-0.7.3[${PYTHON_USEDEP}]
+       >=dev-python/pydantic-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pydantic-settings-2.0.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # Internet
+       tests/integration/test_shortcuts.py::TestPetstoreV2Example
+       tests/integration/test_shortcuts.py::TestApiV2WithExampe
+       tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+       tests/integration/test_shortcuts.py::TestPetstoreExample
+       tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+       tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+       tests/integration/test_shortcuts.py::TestApiWithExample
+       tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+       tests/integration/test_validate.py::TestPetstoreExample
+       tests/integration/test_validate.py::TestApiWithExample
+       tests/integration/test_validate.py::TestPetstoreExpandedExample
+       tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+       sed -i -e '/--cov/d' pyproject.toml || die
+       # remove meaningless upper bounds
+       sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to